Subject: Re: GIT v1.5.1-rc1

From: Andy Parkins <[email-masked]>
Date: Tue, 20 Mar 2007 09:37:38 +0000

On Tuesday 2007 March 20 02:55, Shawn O. Pearce wrote:

> I was hoping Andy or one of the other folks who have worked on
> that hook would pick up the ball and update the hook, but I

I'll be delighted to port the hook script - I've got some fixes that haven't 
been nicely stacked yet.  The problem I have for porting the hook is as you 
point out:

> think they are stuck on the fact that you cannot use:
>
> 	git log $new --not --all

> That almost needs a --all-except="refs/heads/a refs/heads/b" option
> to rev-list.  Grrrr.

I'm afraid so.  Would a --ignore list be more appropriate?  That way you could 
list any refs you wanted (i.e. not just --all) and then have that list 
finally filtered by --ignore.

Andy
-- 
Dr Andy Parkins, M Eng (hons), MIET
[email-masked]